<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetCardID Method (IEdmVault6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault6 Interface : GetCardID Method (IEdmVault6)

Visual Basic
C#
C++/CLI

eType
  Type of card to get as defined in EdmCardType

bsName
  Name of the card to get

lFolderID
  ID of the folder in which the card is stored; 0 for search cards and template

Gets the ID of a card of the specified type, with the specified name, and in the specified folder.

# Syntax

Visual Basic |
--- | ---

    Function GetCardID( _
       ByVal eType As EdmCardType, _
       ByVal bsName As System.String, _
       Optional ByVal lFolderID As System.Integer _
    ) As System.Integer

C# |
--- | ---

    System.int GetCardID(
       EdmCardType eType,
       System.string bsName,
       System.int lFolderID
    )

C++/CLI |
--- | ---

    System.int GetCardID(
    &   EdmCardType eType,
    &   System.String^ bsName,
    &   System.int lFolderID
    )

#### Parameters

eType
  Type of card to get as defined in EdmCardType
bsName
  Name of the card to get
lFolderID
  ID of the folder in which the card is stored; 0 for search cards and template

#### Return Value

Card ID; 0 if not found

# Remarks

After calling this method, you can use the returned ID in calls to IEdmVault5::GetObject or IEdmVault6::CreateCardViewEx.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The specified card was not found.

# See Also

####

IEdmVault6 Interface
IEdmVault6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0